%global octpkg symbolic

Name:           octave-%{octpkg}
Version:        2.4.0
Release:        1%{?dist}
Summary:        Symbolic computations for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/symbolic/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  octave-devel
BuildRequires:  octave-doctest >= 0.4.1
BuildRequires:  python
BuildRequires:  sympy >= 1.0

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Requires:       sympy >= 0.7.6


%description
Adds symbolic calculation features to GNU Octave.
These include common Computer Algebra System tools such as algebraic
operations, calculus, equation solving, Fourier and Laplace transforms,
variable precision arithmetic and other features.

%prep
%setup -q -n %{octpkg}-%{version}

%build
%octave_pkg_build

%install
%octave_pkg_install
rm %{buildroot}/%{octpkgdir}/bin/*.bat
mkdir -p %{buildroot}/%{_datadir}/appdata/
cp -p octave-%{octpkg}.metainfo.xml %{buildroot}/%{_datadir}/appdata/

%check
# Notes:
#   * macro octave_pkg_check restores the .bat file
#   * macro uses runtests which doesn't recurse into classes
pushd %{buildroot}/%{octpkgdir}
%octave_cmd r=octsympy_tests; if r, type octsympy_tests.log; end; exit(r)
rm -f octsympy_tests.log
%octave_cmd pkg load doctest; syms x; r=doctest("."); exit(~r)
popd
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.metainfo.xml

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/*.tst
%{octpkgdir}/@logical
%{octpkgdir}/private
%{octpkgdir}/@sym
%{octpkgdir}/@symfun
%license %{octpkgdir}/packinfo/COPYING
%doc %{octpkgdir}/packinfo/NEWS
%{octpkgdir}/packinfo/DESCRIPTION
%{octpkgdir}/packinfo/INDEX
%{octpkgdir}/packinfo/*.m
%{_datadir}/appdata/octave-%{octpkg}.metainfo.xml


%changelog
* Wed May 25 2016 Colin B. Macdonald <cbm@m.fsf.org> - 2.4.0-1
- Update to 2.4.0
- More testing

* Mon Apr 11 2016 Colin B. Macdonald <cbm@m.fsf.org> - 2.3.0-2
- Update to 2.3.0 (#1325897)
- Fix broken checks

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 03 2016 Colin B. Macdonald <cbm@m.fsf.org> - 2.2.4-3
- Use current id in metainfo: www.octave.org-octave.desktop

* Sun Dec 27 2015 Colin B. Macdonald <cbm@m.fsf.org> - 2.2.4-2
- Run tests

* Sun Dec 27 2015 Colin B. Macdonald <cbm@m.fsf.org> - 2.2.4-1
- Update to 2.2.4, add metainfo.xml

* Sat Nov 28 2015 Colin B. Macdonald <cbm@m.fsf.org> - 2.2.3-1
- Update to 2.2.3

* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 2.2.2-1
- Update to 2.2.2
- Add BR sympy

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.0.0-1
- update to 1.1.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 06 2014 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-8
- rebuild for ginac

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Dec 29 2013 Orion Poplawski <orion@cora.nwra.com> - 1.1.0-6
- Rebuild for octave 3.8.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-1
- update to 1.1.0

* Sat Aug 06 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.9-3
- Bump spec due to change of octave api version.

* Wed Jun 15 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-2
- Review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-1
- initial package for Fedora
